## org.eclipse.datatools.enablement.mysql.ddl
Class MySqlDdlScript

    java.lang.Object
      org.eclipse.datatools.enablement.mysql.ddl.MySqlDdlScript

    public class MySqlDdlScript

extends java.lang.Object

This class takes all the sql scripts and puts them in the right order, for execution.

Constructor Summary
`MySqlDdlScript()`

Method Summary
`void` `addAlterTableAddConstraintStatement(java.lang.String statement)`
`void` `addAlterTableAddForeignKeyStatement(java.lang.String statement)`
`void` `addAlterTableDropConstraintStatement(java.lang.String statement)`
`void` `addAlterTableDropForeignKeyStatement(java.lang.String statement)`
`void` `addAlterTableStatement(java.lang.String statement)`
`void` `addCreateIndexStatement(java.lang.String statement)`
`void` `addCreateTableStatement(java.lang.String statement)`
`void` `addCreateTriggerStatement(java.lang.String statement)`
`void` `addCreateViewStatement(java.lang.String statement)`
`void` `addDropIndexStatement(java.lang.String statement)`
`void` `addDropTableStatement(java.lang.String statement)`
`void` `addDropTriggerStatement(java.lang.String statement)`
`void` `addDropViewStatement(java.lang.String statement)`
`java.lang.String[]` `getStatements()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlDdlScript

    public MySqlDdlScript()

Method Detail

### addDropTableStatement

    public void addDropTableStatement(java.lang.String statement)

### addCreateTableStatement

    public void addCreateTableStatement(java.lang.String statement)

### addAlterTableStatement

    public void addAlterTableStatement(java.lang.String statement)

### addDropViewStatement

    public void addDropViewStatement(java.lang.String statement)

### addCreateViewStatement

    public void addCreateViewStatement(java.lang.String statement)

### addAlterTableDropForeignKeyStatement

    public void addAlterTableDropForeignKeyStatement(java.lang.String statement)

### addAlterTableAddForeignKeyStatement

    public void addAlterTableAddForeignKeyStatement(java.lang.String statement)

### addDropIndexStatement

    public void addDropIndexStatement(java.lang.String statement)

### addCreateIndexStatement

    public void addCreateIndexStatement(java.lang.String statement)

### addDropTriggerStatement

    public void addDropTriggerStatement(java.lang.String statement)

### addCreateTriggerStatement

    public void addCreateTriggerStatement(java.lang.String statement)

### addAlterTableDropConstraintStatement

    public void addAlterTableDropConstraintStatement(java.lang.String statement)

### addAlterTableAddConstraintStatement

    public void addAlterTableAddConstraintStatement(java.lang.String statement)

### getStatements

    public java.lang.String[] getStatements()